Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface AllArtefactClassInjector

    org.codehaus.groovy.grails.compiler.injection.ClassInjector
      org.codehaus.groovy.grails.compiler.injection.AllArtefactClassInjector

All Superinterfaces:
  ClassInjector

    public interface AllArtefactClassInjector
    extends ClassInjector

Extended marker interface that indicates this ClassInjector applies to all types of artefacts.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from interface ClassInjector
PRIVATE_STATIC_MODIFIER

Method Summary

Methods inherited from interface ClassInjector
performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject

Groovy Documentation